Loading...
Searching...
No Matches
casacore::TaQLNodeResultRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

More...

`#include <TaQLNodeResult.h>`

## Public Member Functions

| TaQLNodeResultRep ()
| Default constructor.
virtual | ~TaQLNodeResultRep ()=default
| Destructor.
| TaQLNodeResultRep (const TaQLNodeResultRep &)=delete
| Letter objects cannot be copied.
TaQLNodeResultRep & | operator= (const TaQLNodeResultRep &)=delete

## Detailed Description

Abstract base class to hold the result of a visit to the node tree.

### Intended use:

Internal

### Review Status

Test programs:
  tTableGram

### Prerequisite

- TaQLNodeVisitor
- Note 199 describing TaQL

### Synopsis

TaQLNodeResultRep is the abstract base class for classes holding values filled by visitors to the raw TaQL parse tree. Visitors are classes derived from TaQLNodeVisitor which traverse the parse tree. TaQLNodeResultRep is the counted referenced letter class in the envelope class TaQLNodeResult.

Definition at line 61 of file TaQLNodeResult.h.

## Constructor & Destructor Documentation

## TaQLNodeResultRep() [1/2]

casacore::TaQLNodeResultRep::TaQLNodeResultRep | ( |  | ) |

inline

Default constructor.

Definition at line 65 of file TaQLNodeResult.h.

Referenced by operator=(), and TaQLNodeResultRep().

## ~TaQLNodeResultRep()

virtual casacore::TaQLNodeResultRep::~TaQLNodeResultRep | ( |  | ) |

virtual default

Destructor.

## TaQLNodeResultRep() [2/2]

casacore::TaQLNodeResultRep::TaQLNodeResultRep | ( | const TaQLNodeResultRep & |  | ) |

delete

Letter objects cannot be copied.

References TaQLNodeResultRep().

## Member Function Documentation

## operator=()

TaQLNodeResultRep & casacore::TaQLNodeResultRep::operator= | ( | const TaQLNodeResultRep & |  | ) |

delete

References TaQLNodeResultRep().

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeResult.h